Package org.apache.cxf.feature.validation

# Interface SchemaValidationTypeProvider

All Known Implementing Classes:
  `DefaultSchemaValidationTypeProvider`

public interface SchemaValidationTypeProvider
Returning null from the getSchemaValidationType will be ignored. This generally will mean, it falls back to the service endpoint default, whether configured by @SchemaValidation or a endpoint property.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `SchemaValidation.SchemaValidationType`
  `getSchemaValidationType(OperationInfo info)`

- ## Method Details

  - ### getSchemaValidationType

    SchemaValidation.SchemaValidationType getSchemaValidationType(OperationInfo info)